Subject: bug#20471: Emacs ceased to respond to C-g on a tty; SIGINT became blocked?

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 May 2015 19:09:39 +0300

> From: Ivan Shmakov <[email-masked]>
> Date: Mon, 04 May 2015 15:55:48 +0000
> 
> >>>>> Andreas Schwab <[email-masked]> writes:
> >>>>> Ivan Shmakov <[email-masked]> writes:
> 
>  >> Attaching GDB to it shows no signals being delivered on C-g, which
>  >> (AIUI) hints at either SIGINT being blocked /or/ C-g “unbound” from
>  >> the signal via terminal settings.  I’ve copied the latter from a
>  >> terminal used by a properly working Emacs instance with the stty(1)
>  >> invocation below, yet I still see no signals via GDB, which leaves
>  >> the signal mask as the only point of failure that I can think of.
> 
>  >> Any suggestion on how do I debug this issue any further?
> 
>  > A blocked signal would still be visible in the debugger
> 
> 	It’s not what I observe.  Why, SIGINT seem to be ignored by GDB
> 	itself when it’s attached to that Emacs instance.
> 
>  > (assuming you haven't changed the handling of SIGINT in gdb).

Is this on a TTY frame?  If not, then C-g doesn't trigger a SIGINT in
Emacs.